com.microfocus.awm.meta.impl

## Class ToolDescriptorImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - com.microfocus.awm.meta.impl.AWMObjectImpl
        - - com.microfocus.awm.meta.impl.DynamicObjectImpl
          - - com.microfocus.awm.meta.impl.ToolDescriptorImpl

- All Implemented Interfaces:
    AWMIdentifiableObject, AWMObject, DynamicObject, IFunctionPackageDefinable, ToolDescriptor, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

      public class ToolDescriptorImpl
      extends DynamicObjectImpl
      implements ToolDescriptor

  An implementation of the model object 'Tool Descriptor'.

  The following features are implemented:

  - `Extension ID`
  - `ID`
  - `Model Editor Group`
  - `Input Parm`
  - `Output Parm`
  - `Specific Attribute`
  - `Validate Action`
  - `ISAISPF Tool`
  - `ISA Plug In`
  - `ISAISPF Panel`
  - `ISAISPF Panel Command`
  - `After Job Action`
  - `Help Text`
  - `In Parm Separator`
  - `Integrated Tool`
  - `Out Parm Separator`
  - `Refresh Resource`
  - `Resource Processing`
  - `Run As Job`
  - `Tool Type`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

      `ELAST_EOBJECT_FLAG`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActionDescriptor` | `basicGetAfterJobAction()`
    `org.eclipse.emf.common.notify.NotificationChain` | `basicSetISAISPFPanel(ISAISPFPanel newISAISPFPanel, org.eclipse.emf.common.notify.NotificationChain msgs)`
    `org.eclipse.emf.common.notify.NotificationChain` | `basicSetISAISPFPanelCommand(ISAPanelCommand newISAISPFPanelCommand, org.eclipse.emf.common.notify.NotificationChain msgs)`
    `org.eclipse.emf.common.notify.NotificationChain` | `basicSetISAISPFTool(ISAISPFTool newISAISPFTool, org.eclipse.emf.common.notify.NotificationChain msgs)`
    `org.eclipse.emf.common.notify.NotificationChain` | `basicSetISAPlugIn(ISAPlugIn newISAPlugIn, org.eclipse.emf.common.notify.NotificationChain msgs)`
    `ToolDescriptor` | `clone()` Clones this tool descriptor.
    `int` | `eBaseStructuralFeatureID(int derivedFeatureID, java.lang.Class<?> baseClass)`
    `int` | `eDerivedStructuralFeatureID(int baseFeatureID, java.lang.Class<?> baseClass)`
    `java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
    `org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
    `boolean` | `eIsSet(int featureID)`
    `void` | `eSet(int featureID, java.lang.Object newValue)`
    `void` | `eUnset(int featureID)`
    `ActionDescriptor` | `getAfterJobAction()`
    `java.lang.String` | `getExtensionID()`
    `java.util.List<RToolInParameter>` | `getFileInputParms()` Gets the input parameters of the tool descriptor which have the type 'File'.
    `java.util.List<RToolOutParameter>` | `getFileOutputParms()` Gets the output parameters of the tool descriptor which have the type 'File'.
    `java.lang.String` | `getHelpText()`
    `java.lang.String` | `getID()`
    `java.lang.String` | `getInParmSeparator()`
    `java.lang.String` | `getInParmSeparatorWithoutQuotes()` Gets the input parameter separator without the surrounding double quotes.
    `org.eclipse.emf.common.util.EList<RToolInParameter>` | `getInputParm()`
    `EIntegratedTools` | `getIntegratedTool()`
    `ISAISPFPanel` | `getISAISPFPanel()`
    `ISAPanelCommand` | `getISAISPFPanelCommand()`
    `ISAISPFTool` | `getISAISPFTool()`
    `ISAPlugIn` | `getISAPlugIn()`
    `java.lang.String` | `getModelEditorGroup()`
    `java.lang.String` | `getOutParmSeparator()`
    `java.lang.String` | `getOutParmSeparatorWithoutQuotes()` Gets the output parameter separator without the surrounding double quotes.
    `org.eclipse.emf.common.util.EList<RToolOutParameter>` | `getOutputParm()`
    `EResourceProcessingTypes` | `getResourceProcessing()`
    `ERunAsJobTypes` | `getRunAsJob()`
    `org.eclipse.emf.common.util.EList<SpecificAttribute>` | `getSpecificAttribute()`
    `java.util.List<RToolInParameter>` | `getStringInputParms()` Gets the input parameters of the tool descriptor which have the type 'String'.
    `java.util.List<RToolOutParameter>` | `getStringOutputParms()` Gets the output parameters of the tool descriptor which have the type 'String'.
    `java.lang.String` | `getToolType()`
    `ToolTypeExtension` | `getToolTypeExtension()` Gets the `ToolTypeExtension` of the tool descriptor.
    `org.eclipse.emf.common.util.EList<RToolValidateAction>` | `getValidateAction()`
    `boolean` | `isRefreshResource()`
    `boolean` | `isSetInParmSeparator()`
    `boolean` | `isSetIntegratedTool()`
    `boolean` | `isSetModelEditorGroup()`
    `boolean` | `isSetOutParmSeparator()`
    `boolean` | `isSetRefreshResource()`
    `boolean` | `isSetResourceProcessing()`
    `boolean` | `isSetRunAsJob()`
    `void` | `setAfterJobAction(ActionDescriptor newAfterJobAction)`
    `void` | `setExtensionID(java.lang.String newExtensionID)`
    `void` | `setHelpText(java.lang.String newHelpText)`
    `void` | `setID(java.lang.String newID)`
    `void` | `setInParmSeparator(java.lang.String newInParmSeparator)`
    `void` | `setIntegratedTool(EIntegratedTools newIntegratedTool)`
    `void` | `setISAISPFPanel(ISAISPFPanel newISAISPFPanel)`
    `void` | `setISAISPFPanelCommand(ISAPanelCommand newISAISPFPanelCommand)`
    `void` | `setISAISPFTool(ISAISPFTool newISAISPFTool)`
    `void` | `setISAPlugIn(ISAPlugIn newISAPlugIn)`
    `void` | `setModelEditorGroup(java.lang.String newModelEditorGroup)`
    `void` | `setOutParmSeparator(java.lang.String newOutParmSeparator)`
    `void` | `setRefreshResource(boolean newRefreshResource)`
    `void` | `setResourceProcessing(EResourceProcessingTypes newResourceProcessing)`
    `void` | `setRunAsJob(ERunAsJobTypes newRunAsJob)`
    `void` | `setToolType(java.lang.String newToolType)`
    `java.lang.String` | `toString()`
    `void` | `unsetInParmSeparator()`
    `void` | `unsetIntegratedTool()`
    `void` | `unsetModelEditorGroup()`
    `void` | `unsetOutParmSeparator()`
    `void` | `unsetRefreshResource()`
    `void` | `unsetResourceProcessing()`
    `void` | `unsetRunAsJob()`

    - ### Methods inherited from class com.microfocus.awm.meta.impl.DynamicObjectImpl

      `getComplexAttributes, getDynamicAttributes, getDynamicValue, setDynamicValue`

    - ### Methods inherited from class com.microfocus.awm.meta.impl.AWMObjectImpl

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

      `eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAllContents, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.DynamicObject

      `getComplexAttributes, getDynamicAttributes, getDynamicValue, setDynamicValue`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Method Detail

    - #### getExtensionID

          public java.lang.String getExtensionID()

      Specified by:
        `getExtensionID` in interface `IFunctionPackageDefinable`
      Returns:
        the value of the 'Extension ID' attribute.
      See Also:
        `IFunctionPackageDefinable.setExtensionID(String)`, `TaurusPackage.getIFunctionPackageDefinable_ExtensionID()`

    - #### setExtensionID

          public void setExtensionID(java.lang.String newExtensionID)

      Specified by:
        `setExtensionID` in interface `IFunctionPackageDefinable`
      Parameters:
        `newExtensionID` - the new value of the 'Extension ID' attribute.
      See Also:
        `IFunctionPackageDefinable.getExtensionID()`

    - #### getID

          public java.lang.String getID()

      Specified by:
        `getID` in interface `AWMIdentifiableObject`
      Returns:
        the value of the 'ID' attribute.
      See Also:
        `AWMIdentifiableObject.setID(String)`, `TaurusPackage.getAWMIdentifiableObject_ID()`

    - #### setID

          public void setID(java.lang.String newID)

      Specified by:
        `setID` in interface `AWMIdentifiableObject`
      Parameters:
        `newID` - the new value of the 'ID' attribute.
      See Also:
        `AWMIdentifiableObject.getID()`

    - #### getModelEditorGroup

          public java.lang.String getModelEditorGroup()

      Specified by:
        `getModelEditorGroup` in interface `AWMIdentifiableObject`
      Returns:
        the value of the 'Model Editor Group' attribute.
      See Also:
        `AWMIdentifiableObject.isSetModelEditorGroup()`, `AWMIdentifiableObject.unsetModelEditorGroup()`, `AWMIdentifiableObject.setModelEditorGroup(String)`, `TaurusPackage.getAWMIdentifiableObject_ModelEditorGroup()`

    - #### setModelEditorGroup

          public void setModelEditorGroup(java.lang.String newModelEditorGroup)

      Specified by:
        `setModelEditorGroup` in interface `AWMIdentifiableObject`
      Parameters:
        `newModelEditorGroup` - the new value of the 'Model Editor Group' attribute.
      See Also:
        `AWMIdentifiableObject.isSetModelEditorGroup()`, `AWMIdentifiableObject.unsetModelEditorGroup()`, `AWMIdentifiableObject.getModelEditorGroup()`

    - #### unsetModelEditorGroup

          public void unsetModelEditorGroup()

      Specified by:
        `unsetModelEditorGroup` in interface `AWMIdentifiableObject`
      See Also:
        `AWMIdentifiableObject.isSetModelEditorGroup()`, `AWMIdentifiableObject.getModelEditorGroup()`, `AWMIdentifiableObject.setModelEditorGroup(String)`

    - #### isSetModelEditorGroup

          public boolean isSetModelEditorGroup()

      Specified by:
        `isSetModelEditorGroup` in interface `AWMIdentifiableObject`
      Returns:
        whether the value of the 'Model Editor Group' attribute is set.
      See Also:
        `AWMIdentifiableObject.unsetModelEditorGroup()`, `AWMIdentifiableObject.getModelEditorGroup()`, `AWMIdentifiableObject.setModelEditorGroup(String)`

    - #### getInputParm

          public org.eclipse.emf.common.util.EList<RToolInParameter> getInputParm()

      Specified by:
        `getInputParm` in interface `ToolDescriptor`
      Returns:
        the value of the 'Input Parm' containment reference list.
      See Also:
        `TaurusPackage.getToolDescriptor_InputParm()`

    - #### getOutputParm

          public org.eclipse.emf.common.util.EList<RToolOutParameter> getOutputParm()

      Specified by:
        `getOutputParm` in interface `ToolDescriptor`
      Returns:
        the value of the 'Output Parm' containment reference list.
      See Also:
        `TaurusPackage.getToolDescriptor_OutputParm()`

    - #### isRefreshResource

          public boolean isRefreshResource()

      Specified by:
        `isRefreshResource` in interface `ToolDescriptor`
      Returns:
        the value of the 'Refresh Resource' attribute.
      See Also:
        `ToolDescriptor.isSetRefreshResource()`, `ToolDescriptor.unsetRefreshResource()`, `ToolDescriptor.setRefreshResource(boolean)`, `TaurusPackage.getToolDescriptor_RefreshResource()`

    - #### setRefreshResource

          public void setRefreshResource(boolean newRefreshResource)

      Specified by:
        `setRefreshResource` in interface `ToolDescriptor`
      Parameters:
        `newRefreshResource` - the new value of the 'Refresh Resource' attribute.
      See Also:
        `ToolDescriptor.isSetRefreshResource()`, `ToolDescriptor.unsetRefreshResource()`, `ToolDescriptor.isRefreshResource()`

    - #### unsetRefreshResource

          public void unsetRefreshResource()

      Specified by:
        `unsetRefreshResource` in interface `ToolDescriptor`
      See Also:
        `ToolDescriptor.isSetRefreshResource()`, `ToolDescriptor.isRefreshResource()`, `ToolDescriptor.setRefreshResource(boolean)`

    - #### isSetRefreshResource

          public boolean isSetRefreshResource()

      Specified by:
        `isSetRefreshResource` in interface `ToolDescriptor`
      Returns:
        whether the value of the 'Refresh Resource' attribute is set.
      See Also:
        `ToolDescriptor.unsetRefreshResource()`, `ToolDescriptor.isRefreshResource()`, `ToolDescriptor.setRefreshResource(boolean)`

    - #### getResourceProcessing

          public EResourceProcessingTypes getResourceProcessing()

      Specified by:
        `getResourceProcessing` in interface `ToolDescriptor`
      Returns:
        the value of the 'Resource Processing' attribute.
      See Also:
        `EResourceProcessingTypes`, `ToolDescriptor.isSetResourceProcessing()`, `ToolDescriptor.unsetResourceProcessing()`, `ToolDescriptor.setResourceProcessing(EResourceProcessingTypes)`, `TaurusPackage.getToolDescriptor_ResourceProcessing()`

    - #### setResourceProcessing

          public void setResourceProcessing(EResourceProcessingTypes newResourceProcessing)

      Specified by:
        `setResourceProcessing` in interface `ToolDescriptor`
      Parameters:
        `newResourceProcessing` - the new value of the 'Resource Processing' attribute.
      See Also:
        `EResourceProcessingTypes`, `ToolDescriptor.isSetResourceProcessing()`, `ToolDescriptor.unsetResourceProcessing()`, `ToolDescriptor.getResourceProcessing()`

    - #### unsetResourceProcessing

          public void unsetResourceProcessing()

      Specified by:
        `unsetResourceProcessing` in interface `ToolDescriptor`
      See Also:
        `ToolDescriptor.isSetResourceProcessing()`, `ToolDescriptor.getResourceProcessing()`, `ToolDescriptor.setResourceProcessing(EResourceProcessingTypes)`

    - #### isSetResourceProcessing

          public boolean isSetResourceProcessing()

      Specified by:
        `isSetResourceProcessing` in interface `ToolDescriptor`
      Returns:
        whether the value of the 'Resource Processing' attribute is set.
      See Also:
        `ToolDescriptor.unsetResourceProcessing()`, `ToolDescriptor.getResourceProcessing()`, `ToolDescriptor.setResourceProcessing(EResourceProcessingTypes)`

    - #### getToolType

          public java.lang.String getToolType()

      Specified by:
        `getToolType` in interface `ToolDescriptor`
      Returns:
        the value of the 'Tool Type' attribute.
      See Also:
        `ToolDescriptor.setToolType(String)`, `TaurusPackage.getToolDescriptor_ToolType()`

    - #### setToolType

          public void setToolType(java.lang.String newToolType)

      Specified by:
        `setToolType` in interface `ToolDescriptor`
      Parameters:
        `newToolType` - the new value of the 'Tool Type' attribute.
      See Also:
        `ToolDescriptor.getToolType()`

    - #### getSpecificAttribute

          public org.eclipse.emf.common.util.EList<SpecificAttribute> getSpecificAttribute()

      Specified by:
        `getSpecificAttribute` in interface `ToolDescriptor`
      Returns:
        the value of the 'Specific Attribute' containment reference list.
      See Also:
        `TaurusPackage.getToolDescriptor_SpecificAttribute()`

    - #### getValidateAction

          public org.eclipse.emf.common.util.EList<RToolValidateAction> getValidateAction()

      Specified by:
        `getValidateAction` in interface `ToolDescriptor`
      Returns:
        the value of the 'Validate Action' containment reference list.
      See Also:
        `TaurusPackage.getToolDescriptor_ValidateAction()`

    - #### getISAISPFTool

          public ISAISPFTool getISAISPFTool()

      Specified by:
        `getISAISPFTool` in interface `ToolDescriptor`
      Returns:
        the value of the 'ISAISPF Tool' containment reference.
      See Also:
        `ToolDescriptor.setISAISPFTool(ISAISPFTool)`, `TaurusPackage.getToolDescriptor_ISAISPFTool()`

    - #### basicSetISAISPFTool

          public org.eclipse.emf.common.notify.NotificationChain basicSetISAISPFTool(ISAISPFTool newISAISPFTool,
                                                                                     org.eclipse.emf.common.notify.NotificationChain msgs)

    - #### setISAISPFTool

          public void setISAISPFTool(ISAISPFTool newISAISPFTool)

      Specified by:
        `setISAISPFTool` in interface `ToolDescriptor`
      Parameters:
        `newISAISPFTool` - the new value of the 'ISAISPF Tool' containment reference.
      See Also:
        `ToolDescriptor.getISAISPFTool()`

    - #### getISAPlugIn

          public ISAPlugIn getISAPlugIn()

      Specified by:
        `getISAPlugIn` in interface `ToolDescriptor`
      Returns:
        the value of the 'ISA Plug In' containment reference.
      See Also:
        `ToolDescriptor.setISAPlugIn(ISAPlugIn)`, `TaurusPackage.getToolDescriptor_ISAPlugIn()`

    - #### basicSetISAPlugIn

          public org.eclipse.emf.common.notify.NotificationChain basicSetISAPlugIn(ISAPlugIn newISAPlugIn,
                                                                                   org.eclipse.emf.common.notify.NotificationChain msgs)

    - #### setISAPlugIn

          public void setISAPlugIn(ISAPlugIn newISAPlugIn)

      Specified by:
        `setISAPlugIn` in interface `ToolDescriptor`
      Parameters:
        `newISAPlugIn` - the new value of the 'ISA Plug In' containment reference.
      See Also:
        `ToolDescriptor.getISAPlugIn()`

    - #### getISAISPFPanel

          public ISAISPFPanel getISAISPFPanel()

      Specified by:
        `getISAISPFPanel` in interface `ToolDescriptor`
      Returns:
        the value of the 'ISAISPF Panel' containment reference.
      See Also:
        `ToolDescriptor.setISAISPFPanel(ISAISPFPanel)`, `TaurusPackage.getToolDescriptor_ISAISPFPanel()`

    - #### basicSetISAISPFPanel

          public org.eclipse.emf.common.notify.NotificationChain basicSetISAISPFPanel(ISAISPFPanel newISAISPFPanel,
                                                                                      org.eclipse.emf.common.notify.NotificationChain msgs)

    - #### setISAISPFPanel

          public void setISAISPFPanel(ISAISPFPanel newISAISPFPanel)

      Specified by:
        `setISAISPFPanel` in interface `ToolDescriptor`
      Parameters:
        `newISAISPFPanel` - the new value of the 'ISAISPF Panel' containment reference.
      See Also:
        `ToolDescriptor.getISAISPFPanel()`

    - #### getISAISPFPanelCommand

          public ISAPanelCommand getISAISPFPanelCommand()

      Specified by:
        `getISAISPFPanelCommand` in interface `ToolDescriptor`
      Returns:
        the value of the 'ISAISPF Panel Command' containment reference.
      See Also:
        `ToolDescriptor.setISAISPFPanelCommand(ISAPanelCommand)`, `TaurusPackage.getToolDescriptor_ISAISPFPanelCommand()`

    - #### basicSetISAISPFPanelCommand

          public org.eclipse.emf.common.notify.NotificationChain basicSetISAISPFPanelCommand(ISAPanelCommand newISAISPFPanelCommand,
                                                                                             org.eclipse.emf.common.notify.NotificationChain msgs)

    - #### setISAISPFPanelCommand

          public void setISAISPFPanelCommand(ISAPanelCommand newISAISPFPanelCommand)

      Specified by:
        `setISAISPFPanelCommand` in interface `ToolDescriptor`
      Parameters:
        `newISAISPFPanelCommand` - the new value of the 'ISAISPF Panel Command' containment reference.
      See Also:
        `ToolDescriptor.getISAISPFPanelCommand()`

    - #### getAfterJobAction

          public ActionDescriptor getAfterJobAction()

      Specified by:
        `getAfterJobAction` in interface `ToolDescriptor`
      Returns:
        the value of the 'After Job Action' reference.
      See Also:
        `ToolDescriptor.setAfterJobAction(ActionDescriptor)`, `TaurusPackage.getToolDescriptor_AfterJobAction()`

    - #### basicGetAfterJobAction

          public ActionDescriptor basicGetAfterJobAction()

    - #### setAfterJobAction

          public void setAfterJobAction(ActionDescriptor newAfterJobAction)

      Specified by:
        `setAfterJobAction` in interface `ToolDescriptor`
      Parameters:
        `newAfterJobAction` - the new value of the 'After Job Action' reference.
      See Also:
        `ToolDescriptor.getAfterJobAction()`

    - #### getHelpText

          public java.lang.String getHelpText()

      Specified by:
        `getHelpText` in interface `ToolDescriptor`
      Returns:
        the value of the 'Help Text' attribute.
      See Also:
        `ToolDescriptor.setHelpText(String)`, `TaurusPackage.getToolDescriptor_HelpText()`

    - #### setHelpText

          public void setHelpText(java.lang.String newHelpText)

      Specified by:
        `setHelpText` in interface `ToolDescriptor`
      Parameters:
        `newHelpText` - the new value of the 'Help Text' attribute.
      See Also:
        `ToolDescriptor.getHelpText()`

    - #### getInParmSeparator

          public java.lang.String getInParmSeparator()

      Specified by:
        `getInParmSeparator` in interface `ToolDescriptor`
      Returns:
        the value of the 'In Parm Separator' attribute.
      See Also:
        `ToolDescriptor.isSetInParmSeparator()`, `ToolDescriptor.unsetInParmSeparator()`, `ToolDescriptor.setInParmSeparator(String)`, `TaurusPackage.getToolDescriptor_InParmSeparator()`

    - #### setInParmSeparator

          public void setInParmSeparator(java.lang.String newInParmSeparator)

      Specified by:
        `setInParmSeparator` in interface `ToolDescriptor`
      Parameters:
        `newInParmSeparator` - the new value of the 'In Parm Separator' attribute.
      See Also:
        `ToolDescriptor.isSetInParmSeparator()`, `ToolDescriptor.unsetInParmSeparator()`, `ToolDescriptor.getInParmSeparator()`

    - #### unsetInParmSeparator

          public void unsetInParmSeparator()

      Specified by:
        `unsetInParmSeparator` in interface `ToolDescriptor`
      See Also:
        `ToolDescriptor.isSetInParmSeparator()`, `ToolDescriptor.getInParmSeparator()`, `ToolDescriptor.setInParmSeparator(String)`

    - #### isSetInParmSeparator

          public boolean isSetInParmSeparator()

      Specified by:
        `isSetInParmSeparator` in interface `ToolDescriptor`
      Returns:
        whether the value of the 'In Parm Separator' attribute is set.
      See Also:
        `ToolDescriptor.unsetInParmSeparator()`, `ToolDescriptor.getInParmSeparator()`, `ToolDescriptor.setInParmSeparator(String)`

    - #### getIntegratedTool

          public EIntegratedTools getIntegratedTool()

      Specified by:
        `getIntegratedTool` in interface `ToolDescriptor`
      Returns:
        the value of the 'Integrated Tool' attribute.
      See Also:
        `EIntegratedTools`, `ToolDescriptor.isSetIntegratedTool()`, `ToolDescriptor.unsetIntegratedTool()`, `ToolDescriptor.setIntegratedTool(EIntegratedTools)`, `TaurusPackage.getToolDescriptor_IntegratedTool()`

    - #### setIntegratedTool

          public void setIntegratedTool(EIntegratedTools newIntegratedTool)

      Specified by:
        `setIntegratedTool` in interface `ToolDescriptor`
      Parameters:
        `newIntegratedTool` - the new value of the 'Integrated Tool' attribute.
      See Also:
        `EIntegratedTools`, `ToolDescriptor.isSetIntegratedTool()`, `ToolDescriptor.unsetIntegratedTool()`, `ToolDescriptor.getIntegratedTool()`

    - #### unsetIntegratedTool

          public void unsetIntegratedTool()

      Specified by:
        `unsetIntegratedTool` in interface `ToolDescriptor`
      See Also:
        `ToolDescriptor.isSetIntegratedTool()`, `ToolDescriptor.getIntegratedTool()`, `ToolDescriptor.setIntegratedTool(EIntegratedTools)`

    - #### isSetIntegratedTool

          public boolean isSetIntegratedTool()

      Specified by:
        `isSetIntegratedTool` in interface `ToolDescriptor`
      Returns:
        whether the value of the 'Integrated Tool' attribute is set.
      See Also:
        `ToolDescriptor.unsetIntegratedTool()`, `ToolDescriptor.getIntegratedTool()`, `ToolDescriptor.setIntegratedTool(EIntegratedTools)`

    - #### getOutParmSeparator

          public java.lang.String getOutParmSeparator()

      Specified by:
        `getOutParmSeparator` in interface `ToolDescriptor`
      Returns:
        the value of the 'Out Parm Separator' attribute.
      See Also:
        `ToolDescriptor.isSetOutParmSeparator()`, `ToolDescriptor.unsetOutParmSeparator()`, `ToolDescriptor.setOutParmSeparator(String)`, `TaurusPackage.getToolDescriptor_OutParmSeparator()`

    - #### setOutParmSeparator

          public void setOutParmSeparator(java.lang.String newOutParmSeparator)

      Specified by:
        `setOutParmSeparator` in interface `ToolDescriptor`
      Parameters:
        `newOutParmSeparator` - the new value of the 'Out Parm Separator' attribute.
      See Also:
        `ToolDescriptor.isSetOutParmSeparator()`, `ToolDescriptor.unsetOutParmSeparator()`, `ToolDescriptor.getOutParmSeparator()`

    - #### unsetOutParmSeparator

          public void unsetOutParmSeparator()

      Specified by:
        `unsetOutParmSeparator` in interface `ToolDescriptor`
      See Also:
        `ToolDescriptor.isSetOutParmSeparator()`, `ToolDescriptor.getOutParmSeparator()`, `ToolDescriptor.setOutParmSeparator(String)`

    - #### isSetOutParmSeparator

          public boolean isSetOutParmSeparator()

      Specified by:
        `isSetOutParmSeparator` in interface `ToolDescriptor`
      Returns:
        whether the value of the 'Out Parm Separator' attribute is set.
      See Also:
        `ToolDescriptor.unsetOutParmSeparator()`, `ToolDescriptor.getOutParmSeparator()`, `ToolDescriptor.setOutParmSeparator(String)`

    - #### getRunAsJob

          public ERunAsJobTypes getRunAsJob()

      Specified by:
        `getRunAsJob` in interface `ToolDescriptor`
      Returns:
        the value of the 'Run As Job' attribute.
      See Also:
        `ERunAsJobTypes`, `ToolDescriptor.isSetRunAsJob()`, `ToolDescriptor.unsetRunAsJob()`, `ToolDescriptor.setRunAsJob(ERunAsJobTypes)`, `TaurusPackage.getToolDescriptor_RunAsJob()`

    - #### setRunAsJob

          public void setRunAsJob(ERunAsJobTypes newRunAsJob)

      Specified by:
        `setRunAsJob` in interface `ToolDescriptor`
      Parameters:
        `newRunAsJob` - the new value of the 'Run As Job' attribute.
      See Also:
        `ERunAsJobTypes`, `ToolDescriptor.isSetRunAsJob()`, `ToolDescriptor.unsetRunAsJob()`, `ToolDescriptor.getRunAsJob()`

    - #### unsetRunAsJob

          public void unsetRunAsJob()

      Specified by:
        `unsetRunAsJob` in interface `ToolDescriptor`
      See Also:
        `ToolDescriptor.isSetRunAsJob()`, `ToolDescriptor.getRunAsJob()`, `ToolDescriptor.setRunAsJob(ERunAsJobTypes)`

    - #### isSetRunAsJob

          public boolean isSetRunAsJob()

      Specified by:
        `isSetRunAsJob` in interface `ToolDescriptor`
      Returns:
        whether the value of the 'Run As Job' attribute is set.
      See Also:
        `ToolDescriptor.unsetRunAsJob()`, `ToolDescriptor.getRunAsJob()`, `ToolDescriptor.setRunAsJob(ERunAsJobTypes)`

    - #### eInverseRemove

          public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                                int featureID,
                                                                                org.eclipse.emf.common.notify.NotificationChain msgs)

      Overrides:
        `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

    - #### eGet

          public java.lang.Object eGet(int featureID,
                                       boolean resolve,
                                       boolean coreType)

      Specified by:
        `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eGet` in class `AWMObjectImpl`

    - #### eSet

          public void eSet(int featureID,
                           java.lang.Object newValue)

      Specified by:
        `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eSet` in class `AWMObjectImpl`

    - #### eUnset

          public void eUnset(int featureID)

      Specified by:
        `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eUnset` in class `AWMObjectImpl`

    - #### eIsSet

          public boolean eIsSet(int featureID)

      Specified by:
        `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eIsSet` in class `AWMObjectImpl`

    - #### eBaseStructuralFeatureID

          public int eBaseStructuralFeatureID(int derivedFeatureID,
                                              java.lang.Class<?> baseClass)

      Specified by:
        `eBaseStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eBaseStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

    - #### eDerivedStructuralFeatureID

          public int eDerivedStructuralFeatureID(int baseFeatureID,
                                                 java.lang.Class<?> baseClass)

      Specified by:
        `eDerivedStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eDerivedStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `AWMObjectImpl`

    - #### getStringInputParms

          public java.util.List<RToolInParameter> getStringInputParms()

      Description copied from interface: `ToolDescriptor`
      Gets the input parameters of the tool descriptor which have the type 'String'.
      Specified by:
        `getStringInputParms` in interface `ToolDescriptor`
      Returns:
        all string input parameters of the tool descriptor.

    - #### getStringOutputParms

          public java.util.List<RToolOutParameter> getStringOutputParms()

      Description copied from interface: `ToolDescriptor`
      Gets the output parameters of the tool descriptor which have the type 'String'.
      Specified by:
        `getStringOutputParms` in interface `ToolDescriptor`
      Returns:
        all string output parameters of the tool descriptor.

    - #### getFileInputParms

          public java.util.List<RToolInParameter> getFileInputParms()

      Description copied from interface: `ToolDescriptor`
      Gets the input parameters of the tool descriptor which have the type 'File'.
      Specified by:
        `getFileInputParms` in interface `ToolDescriptor`
      Returns:
        all file input parameters of the tool descriptor.

    - #### getFileOutputParms

          public java.util.List<RToolOutParameter> getFileOutputParms()

      Description copied from interface: `ToolDescriptor`
      Gets the output parameters of the tool descriptor which have the type 'File'.
      Specified by:
        `getFileOutputParms` in interface `ToolDescriptor`
      Returns:
        all file output parameters of the tool descriptor.

    - #### getToolTypeExtension

          public ToolTypeExtension getToolTypeExtension()

      Description copied from interface: `ToolDescriptor`
      Gets the `ToolTypeExtension` of the tool descriptor.
      Specified by:
        `getToolTypeExtension` in interface `ToolDescriptor`
      Returns:
        the tool type extension

    - #### clone

          public ToolDescriptor clone()

      Description copied from interface: `ToolDescriptor`
      Clones this tool descriptor.
      Specified by:
        `clone` in interface `ToolDescriptor`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        a new cloned instance of the tool descriptor.

    - #### getInParmSeparatorWithoutQuotes

          public java.lang.String getInParmSeparatorWithoutQuotes()

      Description copied from interface: `ToolDescriptor`
      Gets the input parameter separator without the surrounding double quotes. Leading and trailing space characters are also trimmed.
      Specified by:
        `getInParmSeparatorWithoutQuotes` in interface `ToolDescriptor`
      Returns:
        the input parameter separator without surrounding double quotes.
      See Also:
        `ToolDescriptor.getInParmSeparator()`

    - #### getOutParmSeparatorWithoutQuotes

          public java.lang.String getOutParmSeparatorWithoutQuotes()

      Description copied from interface: `ToolDescriptor`
      Gets the output parameter separator without the surrounding double quotes. Leading and trailing space characters are also trimmed.
      Specified by:
        `getOutParmSeparatorWithoutQuotes` in interface `ToolDescriptor`
      Returns:
        the output parameter separator without surrounding double quotes.
      See Also:
        `ToolDescriptor.getOutParmSeparator()`

Copyright © 2015 Micro Focus GmbH. All rights reserved.